Skip to main content
GET
Get Fraud check by ID

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

fraudId
string<uuid>
required

Identifier of the resource in Payrails.

Query Parameters

includeInstrument
boolean
default:false

Boolean indicating if the payment instrument should be included in the response.

includeHolderReference
boolean
default:false

Boolean indicating if the holder reference should be included in the response.

Response

Fraud check found, and all details are included.

id
string<uuid>
required

Unique identifier of the Fraud check in Payrails.

createdAt
string<date-time>
required

Exact date and time when the Fraud check was created in Payrails. Possibly differs slightly from the date in the fraud provider.

updatedAt
string<date-time>
required

Exact date and time when the Fraud check was last updated in Payrails. Possibly differs slightly from the date in the fraud provider.

status
enum<string>
required

Current status of the Fraud check in Payrails.

Available options:
Created,
ReviewRequired,
Scored,
Pending,
Failed,
Unknown
workflowExecutionId
string
required

Merchant-specific identifier of the execution. This can be used for searching for the Fraud check later.

providerId
string<uuid>
required

Unique identifier of the Provider that was used to process the Fraud check.

providerConfigId
string<uuid>
required

Unique identifier of the merchant-specific Provider Configuration that was used to process the Fraud check. This can include the set of credentials used, the merchant account, etc.

meta
object
required

Metadata for the context of an execution. Includes Payrails-defined structures for most common fields used in workflows, but can also be extended by merchant or provider-specific fields. For more information, visit our Meta Fields guide. See Meta for every field.

workspaceId
string
required

Workspace ID that the Fraud check belongs to.

merchantReference
string

Merchant-provided reference for the Execution. Commonly, the identifier of the order on the Merchant's system.

Example:

"order_15415"

holderReference
string

Merchant-provided reference for the transaction counterparty, i.e. the paying consumer.

holderId
string<uuid>

Unique identifier of the Holder in Payrails.

decision
enum<string>

Decision taken by the fraud provider.

Available options:
Allow,
Review,
Prevent,
Challenge,
NoDecision,
Ignore
workflowExecutionActionId
string<uuid>

Identifier of the action in the Workflow that led to this Fraud check.

providerName
string

Name of the Provider that was used to process the Fraud check, e.g. Adyen, Checkout, Stripe.

providerDisplayName
string

Display name of the Provider that was used to process the Fraud check.

providerReference
string

Unique identifier of the Fraud check in an external system, e.g. Fraud provider.

providerAccountDisplayName
string

Display name of the Provider Account/Configuration that was used to process the Fraud check.

instrumentId
string<uuid>

Unique identifier of the Instrument that was used for the Payment in Payrails.

instrumentTokenId
string<uuid>

Unique identifier of the specific Token inside the Instrument used for the Payment in Payrails.

instrument
object
lastOperationResult
enum<string>

Last operation result.

Available options:
Success,
Unknown,
Timeout,
ProviderTimeout,
UnexpectedProviderResponse,
ProviderUnknownError,
ProviderConnectionError,
DuplicateOperation,
OperationNotAllowed,
ValidationError,
ParamsError,
ProviderConfigError,
InvalidSignature,
InternalServerError,
AuthenticationError
amount
object
Last modified on October 7, 2026